"
 COPYRIGHT (c) 1997 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"



JavaClassRef subclass:#JavaClassPointerRef
	instanceVariableNames:'deref'
	classVariableNames:''
	poolDictionaries:''
	category:'Java-Reader-Support'
!

!JavaClassPointerRef class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1997 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


! !

!JavaClassPointerRef methodsFor:'accessing'!

arrayClass
    class isJavaClass ifTrue:[
        ^ Array
    ].
    ^ class

    "Created: 7.4.1997 / 13:46:12 / cg"
    "Modified: 7.4.1997 / 13:47:17 / cg"
!

javaClass
    class isUnresolved ifTrue:[
        self halt.
    ].
    ^ class

    "Created: 25.6.1996 / 09:36:09 / cg"
! !

!JavaClassPointerRef methodsFor:'converting'!

asClassPointerRef
     ^ self

    "Created: 7.4.1997 / 13:40:42 / cg"
!

deref
    "dereference my type; return a new JavaClassPointerRef"

    "/ cache
    deref notNil ifTrue:[^ deref].

    (nameandType startsWith:'[[') ifTrue:[
        deref := JavaClassPointerRef class:class nameandType:(nameandType copyFrom:2).
        ^ deref.
    ].

    "/ todo: dereference & remember in deref cache
    self halt

    "Created: 14.8.1997 / 16:55:56 / cg"
    "Modified: 17.8.1997 / 18:54:56 / cg"
! !

!JavaClassPointerRef class methodsFor:'documentation'!

version
    ^ '$Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/JavaClassPointerRef.st,v 1.7 1998/11/16 15:16:49 cg Exp $'
! !
